Skip to main content
POST
Create or replace a provisioning document (POST = replace)
POST requests replace the document at the target path:
  • If the document does not exist, the API returns 201 Created
  • If the document exists, the API returns 200 OK and the previous document content is replaced
The API stamps updated (epoch millis) and updatedBy automatically.

Example: create a user

Example: write a versioned resource

For versioned resources, you can include versions.current in the payload:

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tenantId
string
required

Tenant identifier.

collection
string
required

Collection name under the tenant (for example: users, bots, jobs).

docId
string
required

Document identifier within the collection.

Body

application/json

Arbitrary JSON object representing the provisioning resource.

Response

Replaced (existing document)

Arbitrary JSON object representing the provisioning resource.